AbstractAggregatorFactory (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, class: AbstractAggregatorFactory

Package org.apache.jmeter.report.processor

# Class AbstractAggregatorFactory

java.lang.Object
org.apache.jmeter.report.processor.AbstractAggregatorFactory

All Implemented Interfaces:
  `AggregatorFactory`

Direct Known Subclasses:
  `MaxAggregatorFactory`, `MeanAggregatorFactory`, `MedianAggregatorFactory`, `MinAggregatorFactory`, `PercentileAggregatorFactory`, `SumAggregatorFactory`, `TimeRateAggregatorFactory`

public abstract class AbstractAggregatorFactory extends Object implements AggregatorFactory

A factory for creating AbstractAggregator objects.

This abstract class creates the same kind of aggregator for each create method.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractAggregatorFactory()`
  Instantiates a new abstract aggregator factory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Aggregator`
  `createAggregatedKeyValueAggregator()`
  Creates a new Aggregator object to calculate an aggregated value of an aggregated key series.
  `protected abstract Aggregator`
  `createAggregator()`
  `final Aggregator`
  `createKeyAggregator()`
  Creates a new Aggregator object to calculate an aggregated key.
  `final Aggregator`
  `createValueAggregator()`
  Creates a new Aggregator object to calculate an aggregated value in a graph.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractAggregatorFactory

    protected AbstractAggregatorFactory()
    Instantiates a new abstract aggregator factory.

- ## Method Details

  - ### createAggregator

    protected abstract Aggregator createAggregator()

  - ### createValueAggregator

    public final Aggregator createValueAggregator()
    Description copied from interface: `AggregatorFactory`
    Creates a new Aggregator object to calculate an aggregated value in a graph.
    Specified by:
      `createValueAggregator` in interface `AggregatorFactory`
    Returns:
      the graph data aggregator

  - ### createKeyAggregator

    public final Aggregator createKeyAggregator()
    Description copied from interface: `AggregatorFactory`
    Creates a new Aggregator object to calculate an aggregated key.
    Specified by:
      `createKeyAggregator` in interface `AggregatorFactory`
    Returns:
      the graph data aggregator

  - ### createAggregatedKeyValueAggregator

    public final Aggregator createAggregatedKeyValueAggregator()
    Description copied from interface: `AggregatorFactory`
    Creates a new Aggregator object to calculate an aggregated value of an aggregated key series.
    Specified by:
      `createAggregatedKeyValueAggregator` in interface `AggregatorFactory`
    Returns:
      the graph data aggregator